Skip to main content
GET
/
rounds
Get Rounds
curl --request GET \
  --url https://api-dev.monyfix.tech/rounds \
  --header 'Authorization: Bearer <token>'
{
  "rounds": [
    {
      "id": "<string>",
      "uniq_id": "<string>",
      "status": "<string>",
      "entry_fee": "<string>",
      "is_active": true,
      "is_private": true,
      "is_ended": true,
      "is_event": true,
      "owner": {
        "id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "avatar_url": "<string>"
      },
      "members_count": 123,
      "max_members_count": 123,
      "variant": "<string>",
      "item": {
        "id": "<string>",
        "name": "<string>",
        "platform_price": 123,
        "store": {
          "id": 123,
          "name": "<string>",
          "is_blogger": true,
          "seller_type": "<string>",
          "logo_url": "<string>"
        },
        "format_price": "<string>",
        "sku": "<string>",
        "assets": [],
        "duration": 123,
        "meeting_link": "<string>",
        "meeting_password": "<string>",
        "meeting_platform": "<string>",
        "event_type": "<string>",
        "short_desc": "<string>",
        "detail_desc": "<string>",
        "participants_limit": 123,
        "category": {
          "id": 123,
          "name": "<string>"
        },
        "location": {
          "address": "<string>",
          "latitude": "<string>",
          "longitude": "<string>",
          "country": "<string>",
          "city": "<string>",
          "postal_code": "<string>"
        },
        "attribute_values": []
      },
      "question": {
        "category_theme": {
          "name": "<string>",
          "category": {
            "name": "<string>"
          },
          "emoji": "<string>"
        }
      },
      "certificate": {
        "id": "<string>",
        "text": "<string>",
        "discount_percent": 123
      },
      "seconds_to_end": 123,
      "format_entry_fee": "<string>",
      "format_status": "<string>",
      "start_time": "2023-11-07T05:31:56Z",
      "end_time": "2023-11-07T05:31:56Z",
      "participant_statuses": [
        {
          "status": "<string>",
          "user": {
            "id": "<string>",
            "phone": "<string>",
            "username": "<string>",
            "first_name": "<string>",
            "last_name": "<string>",
            "avatar_url": "<string>"
          }
        }
      ],
      "in_favorites": false,
      "locations": [
        {
          "city": {
            "name": "<string>",
            "subject": "<string>",
            "lat": 123,
            "lon": 123,
            "country": {
              "code": "<string>",
              "name": "<string>",
              "phone_code": "<string>",
              "currency": "<string>"
            },
            "district": "<string>",
            "timezone": "<string>"
          },
          "address": "<string>",
          "lat": 123,
          "lon": 123,
          "postal_code": "<string>"
        }
      ]
    }
  ],
  "active_filters": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

product_price
string | null
round_price__from
round_price__to
round_fill
enum<string> | null
Available options:
low,
medium,
high
round_type
string | null
question_category
string | null
product_category
string | null
event_category
string | null
lat_min
number | null
lat_max
number | null
lon_min
number | null
lon_max
number | null
order_by
string | null

Response

Successful Response

rounds
RoundGetResponse · object[]
required
active_filters
Active Filters · object[] | null